using System;
namespace FOUPOS.Model
{
    /// <summary>
    /// 实体类AdminUser 。
    /// </summary>
    public class AdminUser
    {
        public AdminUser()
        { }
        #region Model
        private int _id;
        private string _username;
        private string _truename;
        private string _pwd;
        private DateTime _creatdate;
        private DateTime _lastdate;
        private int _logincount;
        private string _rights;
        private int _usertype;
        private string _ufile1;
        private string _ufile2;
        /// <summary>
        /// 
        /// </summary>
        public int ID
        {
            set { _id = value; }
            get { return _id; }
        }
        /// <summary>
        /// 管理员登录名
        /// </summary>
        public string UserName
        {
            set { _username = value; }
            get { return _username; }
        }
        /// <summary>
        /// 管理员姓名
        /// </summary>
        public string TrueName
        {
            set { _truename = value; }
            get { return _truename; }
        }
        /// <summary>
        /// 密码
        /// </summary>
        public string Pwd
        {
            set { _pwd = value; }
            get { return _pwd; }
        }
        /// <summary>
        /// 创建日期
        /// </summary>
        public DateTime CreatDate
        {
            set { _creatdate = value; }
            get { return _creatdate; }
        }
        /// <summary>
        /// 上次登录日期
        /// </summary>
        public DateTime LastDate
        {
            set { _lastdate = value; }
            get { return _lastdate; }
        }
        /// <summary>
        /// 登录总数
        /// </summary>
        public int LoginCount
        {
            set { _logincount = value; }
            get { return _logincount; }
        }
        /// <summary>
        /// 权限位
        /// </summary>
        public string Rights
        {
            set
            {
                _rights = value;
            }
            get
            {
                return _rights;
            }
        }
        /// <summary>
        /// 操作用户类型:1为管理员0为收银员
        /// </summary>
        public int UserType
        {
            set { _usertype = value; }
            get { return _usertype; }
        }
        public string UFile1
        {
            set { _ufile1 = value; }
            get { return _ufile1; }
        }
        public string UFile2
        {
            set { _ufile2 = value; }
            get { return _ufile2; }
        }
        #endregion Model

    }
}

